package main

import (
	"github.com/awesome-gocui/gocui"
	"gocui-test/widgets"
	"time"
)

var (
	mmWindow  *widgets.Window
	mmBtnTest widgets.WidgetInterface
)

func mainMenu(g *gocui.Gui) error {
	if mmWindow == nil {
		mmWindow = widgets.NewWindow(g, "mainMenu", 40)
		mmBtnTest = widgets.NewButtonWidget(g, mmWindow, "mmBtnTest", 0, 0, 0, "Test",
			func(g *gocui.Gui, v *gocui.View) error {
				mmWindow.SetStatus(widgets.StatusInformation, "Test message")
				time.Sleep(2 * time.Second)
				return nil
			})
		mmBtnTest.SetPadding(1)
		mmWindow.AddWidget(&mmBtnTest)
	}
	_ = mmWindow.Layout(g)
	return nil
}
